import { Migration } from '@mikro-orm/migrations';

export class Migration20260620180000_add_extra_card_fields_to_payment_methods extends Migration {

  override async up(): Promise<void> {
    this.addSql(`alter table "payment_methods" add column "card_number2" varchar(255) null, add column "card_number3" varchar(255) null, add column "card_owner2" varchar(255) null, add column "card_owner3" varchar(255) null;`);
  }

  override async down(): Promise<void> {
    this.addSql(`alter table "payment_methods" drop column "card_number2", drop column "card_number3", drop column "card_owner2", drop column "card_owner3";`);
  }

}
